lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Danesh Kuruppu <dknkuru...@gmail.com>
Subject Unsupported major.minor version 51.0 when deploying solr 4.7.2
Date Mon, 10 Nov 2014 12:43:17 GMT
Hi all,

I am getting following error when I try to deploy solr.war.

java.lang.UnsupportedClassVersionError:
org/apache/solr/servlet/SolrDispatchFilter : Unsupported major.minor
version 51.0 (unable to load class
org.apache.solr.servlet.SolrDispatchFilter).

Server Java Version: 1.6.0_45
Solr Version: solr-4.7.2

I found that above error occurs because solr is looking for java 7 runtime.
solr-4.7.2 suppose to be run at java 6.

What would be the cause for this error?

Thanks
Danesh

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message